using Microsoft.AspNetCore.Mvc;
using System.Web.Http;

namespace 电子展板.Controller
{
    public class LayUIController : BaseController
    {
        #region css
        [HttpGet, Route("layui/css/layui.css")]
        public ActionResult Index()
        {
            return Resouce("/layui/css/layui.css", "text/css");
        }
        #endregion


        #region fonts
        [HttpGet, Route("layui/font/iconfont.eot")]
        public ActionResult Iconfont_eot()
        {
            return Resouce("/layui/font/iconfont.eot", "font/eot");
        }
        [HttpGet, Route("layui/font/iconfont.svg")]
        public ActionResult iconfont_svg()
        {
            return Resouce("/layui/font/iconfont.svg", "text/xml");
        }
        [HttpGet, Route("layui/font/iconfont.ttf")]
        public ActionResult iconfont_ttf()
        {
            return Resouce("/layui/font/iconfont.ttf", "font/ttf");
        }
        [HttpGet, Route("layui/font/iconfont.woff")]
        public ActionResult iconfont_woff()
        {
            return Resouce("/layui/font/iconfont.woff", "font/woff");
        }
        [HttpGet, Route("layui/font/iconfont.woff2")]
        public ActionResult iconfont_woff2()
        {
            return Resouce("/layui/font/iconfont.woff2", "font/woff2");
        }
        #endregion


        #region JS
        [HttpGet, Route("layui/layui.js")]
        public ActionResult layui_js()
        {
            return Resouce("/layui/layui.js", "application/javascript");
        }
        #endregion



        [HttpGet, Route("jquery/jquery-1.9.1.min.js")]
        public ActionResult jquery_1_9_1_min()
        {
            return Resouce("/jquery/jquery-1.9.1.min.js", "application/javascript");
        }
    }
}
